- Qt 5.5
- Qt WebEngine
- QML Types
- WebEngineDownloadItem QML Type
- Qt 5.5.1 Reference Documentation

# WebEngineDownloadItem QML Type

Provides information about a download. More...

Import Statement: | import QtWebEngine 1.1
Since: | QtWebEngine 1.1

- List of all members, including inherited members

## Properties

- id : quint32
- path : QString
- receivedBytes : int
- state : enumeration
- totalBytes : int

## Methods

- void accept()
- void cancel()

## Detailed Description

Stores the state of a download to be used to manage requested downloads.

By default, the download is rejected unless the user explicitly accepts it with WebEngineDownloadItem::accept().

## Property Documentation

id : quint32

Holds the download item's ID.

path : QString

Holds the full target path where data is being downloaded to.

The path includes the file name. The default suggested path is the standard download location and file name is deduced not to overwrite already existing files.

The download path can only be set in the `WebEngineProfile.onDownloadRequested` handler before the download is accepted.

See also WebEngineProfile::downloadRequested(WebEngineDownloadItem download) and WebEngineDownloadItem::accept().

receivedBytes : int

Holds the amount of data in bytes that has been downloaded so far.

state : enumeration

Describes the state of the download:

Constant | Description
--- | ---
`DownloadRequested` | Download has been requested, but it has not been accepted yet.
`DownloadInProgress` | Download is in progress.
`DownloadCompleted` | Download completed successfully.
`DownloadInterrupted` | Download has been interrupted (by the server or because of lost connectivity).

totalBytes : int

Holds the total amount of data to download in bytes.

`-1` means the total size is unknown.

## Method Documentation

void accept()

Accepts the download request, which will start the download.

See also WebEngineDownloadItem::cancel().

void cancel()

Cancels the download.